### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-category-filter/ecl-category-filter-list/ecl-category-filter-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclCategoryFilterItem`

### Metadata

selector | `ecl-category-filter-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-category-filter-item.component.html`

### Index

###### Properties

- className
- eclCategoryList
- isCurrent
- isExpanded
- role

###### Methods

- onItemClick
- getCssClasses

###### Inputs

- href
- id
- class
- e2eAttr

###### Outputs

- itemSelect

###### HostBindings

- attr.aria-expanded
- attr.role
- class.ecl-category-filter__list-item

###### Accessors

- isAriaExpanded
- level
- levelClass
- hasChildren
- children
- isRootItemWithChildren
- isChildItemWithChildren
- isRootItem

### Inputs

href
Type : `string`

id
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemSelect
Type : `EventEmitter`

### HostBindings

attr.aria-expanded
Type : `boolean`

attr.role
Type : `string`
Default value : `'listitem'`

class.ecl-category-filter__list-item
Type : `boolean`
Default value : `true`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Type : `boolean`
Default value : `true`
Decorators : `@HostBinding('class.ecl-category-filter__list-item')`

eclCategoryList
Type : `EclCategoryFilterListComponent`
Decorators : `@ContentChild(undefined)`

isCurrent
Type : `boolean`
Default value : `false`

isExpanded
Type : `boolean`
Default value : `false`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`

### Accessors

isAriaExpanded
get `isAriaExpanded()`

level
get `level()`
set `level(value: number)`

Parameters :

Name | Type | Optional
value | `number` | No

Returns : `void`

levelClass
get `levelClass()`

hasChildren
get `hasChildren()`

children
get `children()`

isRootItemWithChildren
get `isRootItemWithChildren()`

isChildItemWithChildren
get `isChildItemWithChildren()`

isRootItem
get `isRootItem()`

# results matching ""

# No results matching ""